Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.input
Class KeyEventDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.input.EventDriver
                  |
                  +--org.netbeans.jemmy.drivers.input.KeyEventDriver

All Implemented Interfaces:
  KeyDriver, LightDriver

public class KeyEventDriver
extends EventDriver
implements KeyDriver

KeyDriver using event dispatching.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Inner classes inherited from class org.netbeans.jemmy.drivers.input.EventDriver
`EventDriver.Dispatcher`

Constructor Summary
`KeyEventDriver()` Constructs an KeyEventDriver object suporting ComponentOperator.
`KeyEventDriver(java.lang.String[] supported)` Constructs a KeyEventDriver object.

Method Summary
`void` | `pressKey(ComponentOperator oper, int keyCode, int modifiers)` Presses a key.
`void` | `pushKey(ComponentOperator oper, int keyCode, int modifiers, Timeout pushTime)` Pushes a key.
`void` | `releaseKey(ComponentOperator oper, int keyCode, int modifiers)` Releases a key.
`void` | `typeKey(ComponentOperator oper, int keyCode, char keyChar, int modifiers, Timeout pushTime)` Types a symbol.

Methods inherited from class org.netbeans.jemmy.drivers.input.EventDriver
`checkVisibility, dispatchEvent`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyEventDriver

    public KeyEventDriver(java.lang.String[] supported)

  Constructs a KeyEventDriver object.
  Parameters:
    `supported` - an array of supported class names

### KeyEventDriver

    public KeyEventDriver()

  Constructs an KeyEventDriver object suporting ComponentOperator.

Method Detail

### pressKey

    public void pressKey(ComponentOperator oper,
                         int keyCode,
                         int modifiers)

  Description copied from interface: `KeyDriver`
  Presses a key.
  Specified by:
    `pressKey` in interface `KeyDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.KeyDriver`
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### releaseKey

    public void releaseKey(ComponentOperator oper,
                           int keyCode,
                           int modifiers)

  Description copied from interface: `KeyDriver`
  Releases a key.
  Specified by:
    `releaseKey` in interface `KeyDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.KeyDriver`
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### pushKey

    public void pushKey(ComponentOperator oper,
                        int keyCode,
                        int modifiers,
                        Timeout pushTime)

  Description copied from interface: `KeyDriver`
  Pushes a key.
  Specified by:
    `pushKey` in interface `KeyDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.KeyDriver`
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `pushTime` - Time between pressing and releasing.

### typeKey

    public void typeKey(ComponentOperator oper,
                        int keyCode,
                        char keyChar,
                        int modifiers,
                        Timeout pushTime)

  Description copied from interface: `KeyDriver`
  Types a symbol.
  Specified by:
    `typeKey` in interface `KeyDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.KeyDriver`
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `keyChar` - Symbol to be typed.
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `pushTime` - Time between pressing and releasing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD